Rockchip / armv8 Cannot install package mtd (imagebuilder)

I started to see this error last night using the image builder, building for the Xunlong Orange Pi R1 Plus. Using the image builder here.

Collected errors:
opkg_hash_check_unresolved: cannot find dependency libubox20240329 for mtd pkg_hash_fetch_best_installation_candidate: Packages for mtd found, but incompatible with the architectures configured
opkg_install_cmd: Cannot install package mtd.

Reading previous posts there doesn't seem to be a clear fix. Is there a clear fix to this issue, or is this strictly an issue resolved on he dev end?

My packages:

make clean
make image RELEASE="23.05.2" PROFILE="xunlong_orangepi-r1-plus" FILES="files" PACKAGES="base-files busybox ca-bundle dnsmasq dropbear e2fsprogs firewall4 fstools kmod-gpio-button-hotplug kmod-nft-offload kmod-usb-net-rtl8152 libc libgcc libustream-mbedtls logd luci mkf2fs mtd netifd nftables odhcp6c odhcpd-ipv6only opkg partx-utils ppp ppp-mod-pppoe procd procd-seccomp procd-ujail uboot-envtools uci uclient-fetch urandom-seed urngd" DISABLED_SERVICES="adblock banip gpio_switch lm-sensors softethervpnclient luci-app-ntpc speedtestcpp python3-speedtest-cli python3-speedtest-cli-src libspeedtestcpp"

You can't make a stable release image with a development snapshot imagebuilder.

If you want 23.05 image, use the most recent 23.05 image builder ( for 23.05.3)

( and do not specify a release. Imagebuilder is just for a specific build in any case)

https://downloads.openwrt.org/releases/23.05.3/targets/rockchip/armv8/

Tried with both official and snapshot, same error.

DISREGARD

I adjusted some items in my build script, and all works. Thanks.